- Main Page
- Related Pages
- Modules
- Files

- File List

Typedefs | Functions
half_float.hpp File Reference

Go to the source code of this file.

## Typedefs
typedef detail::half | half
typedef detail::tmat2x2 < detail::half > | hmat2
typedef detail::tmat2x2 < detail::half > | hmat2x2
typedef detail::tmat2x3 < detail::half > | hmat2x3
typedef detail::tmat2x4 < detail::half > | hmat2x4
typedef detail::tmat3x3 < detail::half > | hmat3
typedef detail::tmat3x2 < detail::half > | hmat3x2
typedef detail::tmat3x3 < detail::half > | hmat3x3
typedef detail::tmat3x4 < detail::half > | hmat3x4
typedef detail::tmat4x4 < detail::half > | hmat4
typedef detail::tmat4x2 < detail::half > | hmat4x2
typedef detail::tmat4x3 < detail::half > | hmat4x3
typedef detail::tmat4x4 < detail::half > | hmat4x4
typedef detail::tvec2 < detail::half > | hvec2
typedef detail::tvec3 < detail::half > | hvec3
typedef detail::tvec4 < detail::half > | hvec4

## Functions
half | abs (half const &x)
hvec2 | abs (hvec2 const &x)
hvec3 | abs (hvec3 const &x)
hvec4 | abs (hvec4 const &x)

## Detailed Description

OpenGL Mathematics (glm.g-truc.net)

Copyright (c) 2005 - 2012 G-Truc Creation (www.g-truc.net) Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

GLM_GTC_half_float

Date
  2009-04-29 / 2012-11-06

Author
  Christophe Riccio

See Also
  GLM Core (dependence)

Definition in file half_float.hpp.